#!/bin/env sh

CURSOR="Posy_Cursor_Strokeless"
THEME="Gruvbox-Orange-Dark"

if [[ $TARGET_MODE == 'light' ]]; then
  THEME="Gruvbox-Orange-Light"

  wal -l --theme base16-gruvbox-medium
else
  wal --theme base16-gruvbox-medium
fi

hyprctl setcursor ${CURSOR} 32

gsettings set org.gnome.desktop.interface color-scheme "prefer-${TARGET_MODE}"
gsettings set org.gnome.desktop.interface gtk-theme "${THEME}"
gsettings set org.gnome.desktop.interface cursor-theme "${CURSOR}"

$HOME/.config/theming/compile.sh
$HOME/.config/theming/update.sh
